Page MenuHomePhabricator

Remove inclusion of ip_compat.h for FreeBSD
ClosedPublic

Authored by dim on Feb 7 2015, 1:58 PM.

Details

Summary

In sanitizer_platform_limits_posix.cc, for FreeBSD the
<netinet/ip_compat.h> header is included unconditionally. This does not
always work, as the header is not always installed, because it is only
used internally by ipfilter.

None of the code in sanitizer_platform_limits_posix.cc seems to use any
of the definitions in ip_compat.h, so can we please remove the include?

See also: https://svnweb.freebsd.org/changeset/base/277201

Diff Detail

Repository
rL LLVM

Event Timeline

dim updated this revision to Diff 19539.Feb 7 2015, 1:58 PM
dim retitled this revision from to Remove inclusion of ip_compat.h for FreeBSD.
dim updated this object.
dim edited the test plan for this revision. (Show Details)
dim added reviewers: kcc, kutuzov.viktor.84.
dim added subscribers: emaste, Unknown Object (MLST).
emaste added a comment.Feb 8 2015, 2:00 PM

LGTM. If it turns out we do actually require something brought in by ip_compat.h we can find the correct header to include instead.

samsonov accepted this revision.Feb 16 2015, 1:43 PM
samsonov edited edge metadata.

I'm OK with this change as long as FreeBSD is not broken.

This revision is now accepted and ready to land.Feb 16 2015, 1:43 PM
This revision was automatically updated to reflect the committed changes.